First time here? Check out the FAQ!
1

ImportError: Failed to find loader for 'tdbgtracer36' in '/home/ubuntu/.wingpro7/remote-7.0.2.0/src/debug/tserver/__os__/linux-x64'

Hi,

I was using Wing Pro 7, version 7.0.2.0, and the RPi4 as a remote host. The OS was 32bit. That was working fine.

I had to swap to a 64bit OS and now I get the following error while trying to start the debugger:

image description

When trying to open the Python shell, I get the following trace:

Traceback (most recent call last): File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 374, in <module> File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 232, in _FindTracer File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 348, in _LoadModule ImportError: Failed to find loader for 'tdbgtracer36' in '/home/ubuntu/.wingpro7/remote-7.0.2.0/src/debug/tserver/__os__/linux-x64'

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bootstrap/wingdb.py", line 135, in <module> from debug.tserver import startdebug File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 314, in load_module mod = self._LoadWingCode(full_name, full_path, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 458, in _LoadWingCode return self._ExecMod(mod_name, compile_filename, co, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 492, in _ExecMod exec(co, mod.__dict__) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/startdebug.py", line 16, in <module> File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 314, in load_module mod = self._LoadWingCode(full_name, full_path, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 458, in _LoadWingCode return self._ExecMod(mod_name, compile_filename, co, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 492, in _ExecMod exec(co, mod.__dict__) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/abstract.py", line 19, in <module> File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 314, in load_module mod = self._LoadWingCode(full_name, full_path, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 458, in _LoadWingCode return self._ExecMod(mod_name, compile_filename, co, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 492, in _ExecMod exec(co, mod.__dict__) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 397, in <module> ImportError: Failed to import tdbgtracer

Is this related to the fact I'm using a 64bit OS now?

PS: there was a related question already posted, but that was not solving my issue. The question can be found here.

I also gave some comments (similar to above, but less detail).

PPS: when probing the ... (more)

GeertVcm's avatar
36
GeertVcm
asked 2021-03-26 11:54:57 -0600
Wingware Support's avatar
4k
Wingware Support
updated 2021-03-26 12:00:04 -0600
edit flag offensive 0 remove flag close merge delete

Comments

It's maybe worth noting that, when I go back to my SD card with the 32bit OS installed (I kept my initial 32bit OS setup on a separate SD card), all is fine again.

Also, I didn't recreate the project from scratch when I switched to the 64bit OS. I saw the debug agent was installed again when I first connected Wing Pro7 to the new 64bit SD card, so I thought the rest was OK then.

Apparently not...

Best

GeertVcm's avatar GeertVcm (2021-03-26 12:07:45 -0600) edit
add a comment see more comments

2 Answers

1

For those having the same issue: the problem is resolved in version 7.2.9.0. The WingWare support has added the 64bit version for ARM to the package, so the issue is officially resolved.

GeertVcm's avatar
36
GeertVcm
answered 2021-04-16 04:31:00 -0600
edit flag offensive 0 remove flag delete link

Comments

add a comment see more comments
0

Unfortunately right now there isn't a debugger core included in Wing for 64-bit ARM and it looks like it's incorrectly trying to use the x64 (intel/amd) build. We plan to add this in the future and I'll try to increase the priority on this.

It would be possible for you to build the debugger core yourself. You do need to sign an NDA https://wingware.com/pub/wingide/supp... but the build itself is pretty simple. Then it might work to just replace the linux-x64 debugger core with the one you built. I'm not 100% certain this will work without modification but we could work with you to get it working.

Wingware Support's avatar
4k
Wingware Support
answered 2021-03-26 13:10:47 -0600
edit flag offensive 0 remove flag delete link

Comments

Thanks for the quick reply. I just sent the required documents via e-mail to you. Hope to be able to try it out soon.

Best.

GeertVcm's avatar GeertVcm (2021-03-26 13:37:43 -0600) edit
add a comment see more comments

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account. This space is reserved only for answers. If you would like to engage in a discussion, please instead post a comment under the question or an answer that you would like to discuss.

Add Answer